Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::FirmwareUpdateState Struct Reference

Firmware update status. More...

`import <PeripheralDeviceManager.idl;`

## Public Attributes
boolean | active
| `true` if any peripheral device is currently updated
int | remaining
| Number of peripheral devices that are still pending to be updated.

## Detailed Description

Firmware update status.

Definition at line 61 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## ◆ active

boolean peripheral::DeviceManager::FirmwareUpdateState::active

`true` if any peripheral device is currently updated

Definition at line 62 of file PeripheralDeviceManager.idl.

## ◆ remaining

int peripheral::DeviceManager::FirmwareUpdateState::remaining

Number of peripheral devices that are still pending to be updated.

Definition at line 63 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl